%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Lightweight video thumbnailer
Name:		ffmpegthumbnailer
Version:	2.0.10
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
URL:		https://github.com/dirkvdb/ffmpegthumbnailer
Source0:	https://github.com/dirkvdb/ffmpegthumbnailer/releases/%{name}-%{version}.tar.xz
BuildRequires:	ffmpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	%{libname} = %{version}-%{release}
Obsoletes: %name < %version

%description
This video thumbnailer can be used by file managers to create thumbnails for your video files.
The thumbnailer uses ffmpeg to decode frames from the video files, so supported videoformats 
depend on the configuration flags of ffmpeg. This thumbnailer was designed to be as fast and 
lightweight as possible.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		Video

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x \
	--disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -rf %{buildroot}%{_libdir}/libffmpegthumbnailer.la

#man
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1.bz2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/ffmpegthumbnailer
%{_mandir}/man1/%{name}.1.bz2

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jun 04 2015 ghostbunny <ghostbunny at gmx dot de> 2.0.10-1pclos2015
- 2.0.10
- add Requires for the normal lib package to the devel package else you will get linker errors
- update URLs project is now on github

* Mon Nov 16 2014 bb <bb> 2.0.8-3pclos2014
- rebuild ffmpeg 2.4.3

* Fri Oct 11 2013 bb <bb> 2.0.8-2pclos2013
- rebuild for new ffmpeg 2.0

* Sun Oct 28 2012 MBantz <martin dot bantz at gmail dot com>  2.0.8-1
- Updated and rebuilt against updated ffmpeg
 
